
Redmine - Feature #5603

Rails 2.3.8 support

2010-05-27 07:07 - Yuki Kita

Status: Closed Start date: 2010-05-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nice if Redmine 1.0 supports Rails 2.3.8.

Rails 2.3.8 support makes it easier to migrate Redmine to Rails 3.0.

http://weblog.rubyonrails.org/2010/5/23/ruby-on-rails-2-3-6-released

http://weblog.rubyonrails.org/2010/5/24/ruby-on-rails-2-3-7-released

http://weblog.rubyonrails.org/2010/5/25/ruby-on-rails-2-3-8-released

History

#1 - 2010-06-03 01:44 - John Dell

+1

#2 - 2010-06-04 18:52 - Alex Bevilacqua

+1 from me as well

#3 - 2010-06-30 14:43 - Mike Stupalov

I think it is necessary to wait for version 2.3.9

I use rails 2.3.8 and have found with 2 problems:

1. #5723 - error at creation of indexes in DB

2. Similar error as in issue #5677. Solution has found here: rails’ 2.3.8 forced html escaping of concatenated strings

But I too expect high-grade support for rails 2.3.8+

#4 - 2010-07-06 23:48 - Eric Davis

We aren't going to upgrade to Rails 2.3.8 for Redmine 1.0.  There have been too many bugs discovered and there is very little benefit this close to a

release.

On the road to Redmine 1.1, we will probably upgrade to Rails 2.3.8 (or whatever the latest version is then) right before we upgrade to Rails 3.  This is

completely dependent on when a stable Rails 3 is released and supports everything Redmine needs (e.g. Engines).

#5 - 2010-07-19 20:13 - Tkachenko Sergey

+1

#6 - 2010-08-30 20:59 - Ronie Henrich

+1

#7 - 2010-09-02 20:07 - Nuno Morgadinho

+1

#8 - 2011-03-23 06:30 - Yuki Kita

- Status changed from New to Resolved

This issue should be closed since current trunk already supports Rails 2.3.11.

Thank you.

#9 - 2011-03-23 06:38 - Toshi MARUYAMA
- Status changed from Resolved to Closed

#10 - 2011-03-23 06:44 - Toshi MARUYAMA

- Category set to Rails support
